commit: c50dc202fb19171fd82f7c1db97b7fdda0980306
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 23 10:39:08 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 23 10:48:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c50dc202
dev-python/basho-erlastic: Enable py3.9 & py3.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/basho-erlastic/basho-erlastic-2.1.1.ebuild | 10 ++++------
1 file changed, 4 insertions(+), 6 deletions(-)
diff --git a/dev-python/basho-erlastic/basho-erlastic-2.1.1.ebuild
b/dev-python/basho-erlastic/basho-erlastic-2.1.1.ebuild
index 452fa4b2560..2a1385ad5f3 100644
--- a/dev-python/basho-erlastic/basho-erlastic-2.1.1.ebuild
+++ b/dev-python/basho-erlastic/basho-erlastic-2.1.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-PYTHON_COMPAT=( python3_{7,8} )
+EAPI=7
+PYTHON_COMPAT=( python3_{7..10} )
inherit distutils-r1
@@ -16,9 +16,7 @@ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE=""
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
- "${PYTHON:-python}" tests.py || die
+ "${EPYTHON}" tests.py || die
}